--- title: "getZoneList" slug: "compute-vserver-server-common-getzonelist" updated: 2026-09-17T10:06:00Z published: 2026-09-17T10:06:00Z canonical: "api.ncloud-docs.com/compute-vserver-server-common-getzonelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getZoneList Available in VPC Get the zone list. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/getZoneList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/getZoneList ?regionCode=KR &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getZoneListResponse` | Object | - | Response result - See [ZoneList](/docs/en/common-vapidatatype-zonelist). | | `getZoneListResponse.requestId` | String | - | ID for the request - UUID format | | `getZoneListResponse.returnCode` | String | - | Response code | | `getZoneListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getZoneListResponse": { "totalRows": 2, "zoneList": [ { "zoneName": "KR-2", "zoneCode": "KR-2", "regionCode": "KR", "zoneDescription": "Pyeongchon zone" }, { "zoneName": "KR-1", "zoneCode": "KR-1", "regionCode": "KR", "zoneDescription": "Gasan zone" } ], "requestId": "bf2f2e87-****-****-****-02d44732041d", "returnCode": "0", "returnMessage": "success" } } ```